# Gets Taxonomy GET https://api.shipbob.com/2025-07/taxonomy Reference: https://developer.shipbob.com/2025-07/api/products/gets-taxonomy ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2025-07 version: 1.0.0 paths: /2025-07/taxonomy: get: operationId: gets-taxonomy summary: |2 Gets Taxonomy tags: - subpackage_products parameters: - name: search in: query description: '' required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Products.TaxonomyViewModelArray' '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/Products.Get.Api.V5.Taxonomy.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails '403': description: Forbidden content: application/json: schema: $ref: >- #/components/schemas/Products.Get.Api.V5.Taxonomy.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails '500': description: Server Error content: application/json: schema: description: Any type '503': description: Server Error content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Products.ChildTaxonomyViewModel: type: object properties: id: type: integer name: type: - string - 'null' path: type: - string - 'null' has_children: type: boolean title: Products.ChildTaxonomyViewModel Products.BaseTaxonomyViewModel: type: object properties: id: type: integer name: type: - string - 'null' path: type: - string - 'null' title: Products.BaseTaxonomyViewModel ProductsTaxonomyViewModelParent: oneOf: - $ref: '#/components/schemas/Products.BaseTaxonomyViewModel' - $ref: '#/components/schemas/Products.ChildTaxonomyViewModel' - $ref: '#/components/schemas/Products.TaxonomyViewModel' title: ProductsTaxonomyViewModelParent Products.TaxonomyViewModel: type: object properties: id: type: integer name: type: - string - 'null' path: type: - string - 'null' children: type: - array - 'null' items: $ref: '#/components/schemas/Products.ChildTaxonomyViewModel' parent: oneOf: - $ref: '#/components/schemas/ProductsTaxonomyViewModelParent' - type: 'null' title: Products.TaxonomyViewModel Products.TaxonomyViewModelArray: type: array items: $ref: '#/components/schemas/Products.TaxonomyViewModel' title: Products.TaxonomyViewModelArray Products.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Products.ProblemDetails Products.HttpValidationProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' errors: type: - object - 'null' additionalProperties: type: array items: type: string title: Products.HttpValidationProblemDetails Products.Get.Api.V5.Taxonomy.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails: oneOf: - $ref: '#/components/schemas/Products.ProblemDetails' - $ref: '#/components/schemas/Products.HttpValidationProblemDetails' title: >- Products.Get.Api.V5.Taxonomy.Unauthorized.OneOf.ProblemDetails.HttpValidationProblemDetails Products.Get.Api.V5.Taxonomy.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails: oneOf: - $ref: '#/components/schemas/Products.ProblemDetails' - $ref: '#/components/schemas/Products.HttpValidationProblemDetails' title: >- Products.Get.Api.V5.Taxonomy.Forbidden.OneOf.ProblemDetails.HttpValidationProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Products_getsTaxonomy_example import requests url = "https://api.shipbob.com/2025-07/taxonomy" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Products_getsTaxonomy_example const url = 'https://api.shipbob.com/2025-07/taxonomy'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Products_getsTaxonomy_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/taxonomy" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Products_getsTaxonomy_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/taxonomy") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Products_getsTaxonomy_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2025-07/taxonomy") .header("Authorization", "Bearer ") .asString(); ``` ```php Products_getsTaxonomy_example request('GET', 'https://api.shipbob.com/2025-07/taxonomy', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Products_getsTaxonomy_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/taxonomy"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Products_getsTaxonomy_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/taxonomy")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```